Summary:	Belug Linux Distribution Burner
Name:		beldi
Version:	0.9.21
Release:	1%{?dist}
License:	GPLv3+
Group:		Applications/Internet
URL:		http://belug.de/~beldi/
Source:		http://belug.de/~beldi/releases/%{name}-%{version}.tgz
Requires:	%{_bindir}/cdrecord
BuildRequires:	curl-devel, gtkmm24-devel, libxml++-devel
BuildRequires:	gtkglextmm-devel, desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
BeLDi, the Belug (Linux) Distribution Burner, is a program designed to burn
distributions. It is designed to require the least administration and knowledge
as possible.

BeLDi has an intuitive graphic user interface where the main screen shows the
available distributions in a list. If the user selects one, he will be asked
which version and architecture he wants to burn. Once the burn procedure starts
a bar shows its progress. All user operations can be completed with the mouse
or a touchscreen.

%prep
%setup -q

%build
%configure --enable-opengl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor="fedora"		\
  --remove-category=Network			\
  --add-category=System				\
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications	\
  icons/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_mandir}/man6/%{name}.6.gz

%changelog
* Thu Oct 01 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.21-1
- Upgrade to 0.9.21
- Add new manpage

* Tue Sep 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.20-1
- Upgrade to 0.9.20

* Fri Aug 22 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.18-1
- Upgrade to 0.9.18

* Sun Jul 13 2008 Robert Scheck <robert@fedoraproject.org> - 0.9.16-3
- Changes to match Fedora Packaging Guidelines (#249949 #c16)

* Sun Jul 13 2008 Robert Scheck <robert@fedoraproject.org> - 0.9.16-2
- Merged suggested changes with existing spec (#249949 #c14)

* Sat Jun 28 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.16-1
- Upgrade to 0.9.16

* Mon Jun 23 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.15-1
- Upgrade to 0.9.15

* Mon May 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.13-1
- Upgrade to 0.9.13
- use desktop-file-install

* Sun Dec 16 2007 Robert Scheck <robert@fedoraproject.org> - 0.9.12-1
- Upgrade to 0.9.12

* Wed Sep 19 2007 Robert Scheck <robert@fedoraproject.org> - 0.9-2
- New sources, updated spec file for these
- Updated the license tag according to the guidelines

* Sun Jul 28 2007 Robert Scheck <robert@fedoraproject.org> - 0.9-1
- Upgrade to 0.9
- Initial spec file for Fedora and Red Hat Enterprise Linux
